Ticket #44034

Crosser Qt6-client badly scaled fonts

Eröffnet am: 2022-03-06 05:43 Letztes Update: 2022-06-25 16:27

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
1

Details

There's a clear difference between crosser Qt5-client and Qt6-client in that some texts are rather unclear on Qt6-client. Looks like badly scaled font. Visible on main menu's description of the version & gui, and also on unit stack size indicator. One thing these have in common is that we impose them to a picture, i.e., ultimately we're showing an picture, not text (by Qt's methods).

Ticket-Verlauf (3/6 Historien)

2022-03-06 05:43 Aktualisiert von: cazfi
  • New Ticket "Crosser Qt6-client badly scaled fonts" created
2022-03-10 20:14 Aktualisiert von: cazfi
Kommentar

Msys2 based builds similarly affected.

2022-06-15 15:32 Aktualisiert von: cazfi
Kommentar

Reply To cazfi

Msys2 based builds similarly affected.

While the issue is quite small, it's still the only difference between msys2 Qt5- and Qt6-clients from the user's perspective - to make Qt5-client better of the two. That makes this issue blocker against dropping Qt5 from the msys2 environment (not that it would be imminent otherwise, yet)

2022-06-16 10:20 Aktualisiert von: cazfi
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Keine to Accepted
  • Meilenstein Update from (Keine) to 3.1.0 (closed)
  • Komponente Update from (Keine) to Qt-client
Kommentar

Attached patch to improve selection of default font size to one that does not require scaling makes this better.

Would probably apply to S3_0 as is, but as long as nobody has seen any issue that this would resolve in S3_0, better to target this to S3_1/master only.

2022-06-25 16:27 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Lösung Update from Accepted to Gefixt

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden